diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index d189c64..b93650c 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -88014,7 +88014,8 @@ SimpleAlgebraicExtension(R:CommutativeRing,
         mat := transpose coordinates bas
         (m := inverse(mat)$imatqf) case "failed" =>
           error "coordinates: second argument must be a basis"
-        coordsQF := map(#1 :: qf,coordinates x)$VectorFunctions2(R,qf)
+        coordsQF: Vector qf := 
+          map(y +-> y::qf,coordinates x)$VectorFunctions2(R,qf)
         -- here are the coordinates as elements of the quotient field:
         vecQF := (m :: Matrix qf) * coordsQF
         vec : Vector R := new(d,0)
@@ -88907,7 +88908,8 @@ SparseMultivariatePolynomial(R: Ring,VarSet: OrderedSet): C == T where
     -- a local function
       red(p:%):% ==
          p case R => 0
-         if ground?(reductum p.ts) then leadingCoefficient(reductum p.ts) else [p.v,reductum p.ts]$VPoly
+         if ground?(reductum p.ts) then 
+           leadingCoefficient(reductum p.ts) else [p.v,reductum p.ts]$VPoly
 
       numberOfMonomials(p): NonNegativeInteger ==
         p case R => 
@@ -88929,7 +88931,7 @@ SparseMultivariatePolynomial(R: Ring,VarSet: OrderedSet): C == T where
       moreThanOneVariable? p == 
          p case R => false
          q:=p.ts
-         any?(not ground? #1 ,coefficients q) => true
+         any?(x1+->not ground? x1 ,coefficients q) => true
          false
 
       -- if we already know we use this (slighlty) faster function
@@ -89145,7 +89147,8 @@ SparseMultivariatePolynomial(R: Ring,VarSet: OrderedSet): C == T where
               a case "failed" => "failed"
               mvar:=p1.v
               up:SUP %:=a
-              if ground? (up) then leadingCoefficient(up) else [mvar,up]$VPoly::%
+              if ground? (up) then 
+                leadingCoefficient(up) else [mvar,up]$VPoly::%
          else
            p1  exquo  p2  ==
               p1 case R and p2 case R =>
@@ -89168,7 +89171,7 @@ SparseMultivariatePolynomial(R: Ring,VarSet: OrderedSet): C == T where
       map(fn,p) ==
          p case R => fn(p)
          mvar:=p.v
-         up:=map(map(fn,#1),p.ts)
+         up:=map(x1+->map(fn,x1),p.ts)
          if ground? up then leadingCoefficient(up) else [mvar,up]$VPoly
 
       if R has Field then
@@ -89185,7 +89188,10 @@ SparseMultivariatePolynomial(R: Ring,VarSet: OrderedSet): C == T where
                up := reductum up
            c
 
-      if R has EuclideanDomain and R has CharacteristicZero and not(R has FloatingPointSystem)  then
+      if R has EuclideanDomain and 
+          R has CharacteristicZero and 
+           not(R has FloatingPointSystem)  then
+
         content(p,mvar) ==
           p case R => p
           gcd(coefficients univariate(p,mvar))$pgcd
@@ -89307,7 +89313,7 @@ SparseMultivariatePolynomial(R: Ring,VarSet: OrderedSet): C == T where
         mvar := Lvar.first
         mvar > p.v => evalSortedVarlist(p,Lvar.rest,Lpval.rest)
         pval := Lpval.first
-        pts := map(evalSortedVarlist(#1,Lvar,Lpval),p.ts)
+        pts := map(x1+->evalSortedVarlist(x1,Lvar,Lpval),p.ts)
         mvar=p.v =>
              pval case R => pts (pval::R)
              pts pval
@@ -89315,8 +89321,8 @@ SparseMultivariatePolynomial(R: Ring,VarSet: OrderedSet): C == T where
 
       eval(p,Lvar,Lpval) ==
 	empty? rest Lvar => evalSortedVarlist(p,Lvar,Lpval)
-	sorted?(#1 > #2, Lvar) => evalSortedVarlist(p,Lvar,Lpval)
-        nlvar := sort(#1 > #2,Lvar)
+	sorted?((x1,x2) +-> x1 > x2, Lvar) => evalSortedVarlist(p,Lvar,Lpval)
+        nlvar := sort((x1,x2) +-> x1 > x2,Lvar)
         nlpval :=
            Lvar = nlvar => Lpval
            nlpval := [Lpval.position(mvar,Lvar) for mvar in nlvar]
@@ -89371,7 +89377,7 @@ SparseMultivariatePolynomial(R: Ring,VarSet: OrderedSet): C == T where
           mvar=p.v =>  
              up:=differentiate p.ts
              if ground? up then leadingCoefficient(up) else [mvar,up]$VPoly
-          up:=map(differentiate(#1,mvar),p.ts)
+          up:=map(x1 +-> differentiate(x1,mvar),p.ts)
           if ground? up then leadingCoefficient(up) else [p.v,up]$VPoly
 
       leadingCoefficient(p) ==
diff --git a/changelog b/changelog
index be94437..441108d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090518 tpd src/axiom-website/patches.html 20090518.02.tpd.patch
+20090518 tpd books/bookvol10.3 SMP +-> conversion
 20090518 tpd src/axiom-website/patches.html 20090518.01.tpd.patch
 20090518 tpd books/bookvol10.4 GBEUCLID +-> conversion
 20090517 tpd src/axiom-website/patches.html 20090517.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index aa1c78f..2972de6 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1340,5 +1340,7 @@ bookvol10.3 ROIRC +-> conversion<br/>
 bookvol10.4 ELFUTS +-> conversion<br/>
 <a href="patches/20090518.01.tpd.patch">20090518.01.tpd.patch</a>
 bookvol10.4 GBEUCLID +-> conversion<br/>
+<a href="patches/20090518.02.tpd.patch">20090518.02.tpd.patch</a>
+bookvol10.2 SMP +-> conversion<br/>
  </body>
 </html>
